package org.dxc.evaluator;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/*
 * Evaluator config parser.
 */
public class XmlHelper {
    public static Node getChildByName(Node n, String name) {
        NodeList nl = n.getChildNodes();
        for (int i = 0; i < nl.getLength(); i++) {
            Node ret = nl.item(i);
            if (ret.getNodeName().equals(name))
                return ret;
        }
        return null;
    }

    public static String getChildTextByName(Node n, String name) {
        Node c = getChildByName(n, name);
        if (c != null) {
            Node tmp = c.getFirstChild();
            if (tmp != null)
                return tmp.getNodeValue();
        }

        return "";
    }
}
