package org.dxc.api.datatypes;

import java.util.HashSet;

public class CandidateSet extends HashSet<Candidate> {
    private static final long serialVersionUID = 1L;

    public CandidateSet(CandidateSet candidateSet) {
        for (Candidate c : candidateSet) {
            this.add(c);
        }
    }

    public CandidateSet() {
        super();
    }

    public String toString() {
        String ret = new String();
        ret += "{ ";
        java.util.Iterator<Candidate> j = this.iterator();

        while (j.hasNext()) {
            ret += j.next().toString();
            if (j.hasNext())
                ret += ", ";
        }

        ret += " }";

        return ret;
    }
}
